Bug 1805422 - ceph cannot find system fmt, builds bundled one which cannot be found
Summary: ceph cannot find system fmt, builds bundled one which cannot be found
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-20 18:29 UTC by Kevin Fenzi
Modified: 2020-03-17 17:16 UTC (History)
11 users (show)

Fixed In Version: ceph-15.1.1-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-17 17:16:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Fenzi 2020-02-20 18:29:38 UTC
Todays rawhide compose failed due to the workstation media failing to compose. 

This was due to: 


 Problem: conflicting requests
  - package gnome-boxes-3.35.90-2.fc32.x86_64 requires libvirt-daemon-kvm, but none of the providers can be installed
  - package libvirt-daemon-kvm-6.0.0-1.fc32.x86_64 requires libvirt-daemon-driver-storage = 6.0.0-1.fc32, but none of the providers can be installed
  - package libvirt-daemon-driver-storage-6.0.0-1.fc32.x86_64 requires libvirt-daemon-driver-storage-rbd = 6.0.0-1.fc32, but none of the providers can be installed
  - package libvirt-daemon-driver-storage-rbd-6.0.0-1.fc32.x86_64 requires librados.so.2()(64bit), but none of the providers can be installed
  - package libvirt-daemon-driver-storage-rbd-6.0.0-1.fc32.x86_64 requires librados.so.2(LIBRADOS_14.2.0)(64bit), but none of the providers can be installed
  - nothing provides libfmt.so.5()(64bit) needed by librados2-2:15.1.0-1.fc33.x86_64

fedora has had fmt 6 since mid december. 

Looking at the ceph build logs: 

-- Could not find fmt, will build it
-- Version: 5.3.1

so, I think it built a bundled 5.x version... but this version isn't installed and thus rpm can't find it and thus nothing installs. ;( 

I am going to untag ceph-15.1.0-1.fc33 for now until we can sort this out.

Comment 1 Kaleb KEITHLEY 2020-02-21 02:28:38 UTC
fixed in ceph-15.1.0-2

Comment 2 Kevin Fenzi 2020-03-17 15:37:04 UTC
This seems to be back with ceph-15.1.1-1.fc33

 Problem: conflicting requests
  - package gnome-boxes-3.36.0-1.fc33.x86_64 requires libvirt-daemon-kvm, but none of the providers can be installed
  - package libvirt-daemon-kvm-6.1.0-1.fc33.x86_64 requires libvirt-daemon-driver-storage = 6.1.0-1.fc33, but none of the providers can be installed
  - package libvirt-daemon-driver-storage-6.1.0-1.fc33.x86_64 requires libvirt-daemon-driver-storage-rbd = 6.1.0-1.fc33, but none of the providers can be installed
  - package libvirt-daemon-driver-storage-rbd-6.1.0-1.fc33.x86_64 requires librados.so.2()(64bit), but none of the providers can be installed
  - package libvirt-daemon-driver-storage-rbd-6.1.0-1.fc33.x86_64 requires librados.so.2(LIBRADOS_14.2.0)(64bit), but none of the providers can be installed
  - nothing provides libfmt.so.5()(64bit) needed by librados2-2:15.1.1-1.fc33.x86_64
09:17:01,097 DBG dnf: User-Agent: constructed: 'libdnf (Fedora 33; generic; Linux.x86_64)'

Comment 3 Kaleb KEITHLEY 2020-03-17 17:16:42 UTC
fixed (again) in 15.1.1-2


Note You need to log in before you can comment on or make changes to this bug.